Index: /palm/trunk/SCRIPTS/NCL/profiles.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 217)
+++ /palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 218)
@@ -1690,5 +1849,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = minikh
@@ -1713,5 +1873,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwpup
@@ -1735,5 +1896,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwsus
@@ -1757,5 +1919,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwu
@@ -1780,5 +1943,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwpvp
@@ -1802,5 +1966,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwsvs
@@ -1824,5 +1989,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwv
@@ -1847,5 +2013,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwpptp
@@ -1869,5 +2036,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwspts
@@ -1891,5 +2059,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwpt
@@ -1914,5 +2083,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwsptsBC
@@ -1936,5 +2106,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwptBC
@@ -1959,5 +2130,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwpvptp
@@ -1981,5 +2153,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwsvpts
@@ -2003,5 +2176,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwvpt
@@ -2026,5 +2200,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwpqp
@@ -2048,5 +2223,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwsqs
@@ -2070,5 +2246,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwq
@@ -2093,5 +2270,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwpqvp
@@ -2115,5 +2293,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwsqvs
@@ -2137,5 +2316,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwqv
@@ -2160,5 +2340,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwpsp
@@ -2182,5 +2363,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwsss
@@ -2204,5 +2386,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniws
@@ -2227,5 +2410,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwpsap
@@ -2249,5 +2433,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwssas
@@ -2271,5 +2456,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwsa
@@ -2294,5 +2480,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = minius2
@@ -2316,5 +2503,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = minivs2
@@ -2338,5 +2526,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniws2
@@ -2361,5 +2550,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwsususodz
@@ -2383,5 +2573,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwspsodz
@@ -2405,5 +2596,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniwpeodz
@@ -2437,7 +2629,10 @@
    if (no_files .GT. 1) then
       delete(vNam)
-   end if
+      delete(files)
+   end if
+   
    end do
-
+   ;#########ENDE DO LOOP FOR no_files GT 1#############
+   
    if (count_var .EQ. 0) then
       print(" ")
@@ -2449,6 +2644,6 @@
    
    if (no_files .GT. 1) then 
-      multi_legend=new(12,string)
-      string_len=new(12,integer)
+      multi_legend=new(6,string)
+      string_len=new(6,integer)
       multi_dash=new(no_files,string)
       multi_legend(0)="  "+name_legend_1
@@ -2464,16 +2659,4 @@
       multi_legend(5)="  "+name_legend_6 
       string_len(5)=strlen(multi_legend(5))
-      multi_legend(6)="  "+name_legend_7
-      string_len(6)=strlen(multi_legend(6)) 
-      multi_legend(7)="  "+name_legend_8
-      string_len(7)=strlen(multi_legend(7))
-      multi_legend(8)="  "+name_legend_9
-      string_len(8)=strlen(multi_legend(8)) 
-      multi_legend(9)="  "+name_legend_10
-      string_len(9)=strlen(multi_legend(9))
-      multi_legend(10)="  "+name_legend_11 
-      string_len(10)=strlen(multi_legend(10))
-      multi_legend(11)="  "+name_legend_12 
-      string_len(11)=strlen(multi_legend(11))
       do ml=1,no_files
          multi_dash(ml-1)=ml-1
@@ -2497,5 +2680,5 @@
          lgMonoDashIndex          = False
          lgres@lgLabelFont        = "helvetica"    
-         lgres@lgLabelFontHeightF = .2            
+         lgres@lgLabelFontHeightF = font_size_legend            
          lgres@vpWidthF           = max(string_len)*0.012           
          lgres@vpHeightF          = 0.04*no_files          
@@ -2518,5 +2701,5 @@
    if (count_var .EQ. 0) then
       print(" ")
-      print("Please select a variable 'var=' or use the default value")
+      print("Select a variable 'var=' or use the default value")
       print(" ")
       print("Your selection '"+var+"' does not exist on the input file")
@@ -2598,5 +2781,5 @@
 
             if (prof3d .EQ. 0) then
-               if (logy .EQ. 1) then
+               if (log_z .EQ. 1) then
                   z = f->$vNam(varn+1)$(1:dimz-1) 
                else
@@ -2607,5 +2790,5 @@
                   if (isStrSubset( a(i),"zu_3d" ))then
                      z_v(varn,:) = z_u
-                     if (logy .EQ. 1) then
+                     if (log_z .EQ. 1) then
                         z = z_v(varn,1:dimz-1)
                      else
@@ -2615,5 +2798,5 @@
                      if (isStrSubset( a(i),"zw_3d" ))then
                         z_v(varn,:) = z_w
-                        if (logy .EQ. 1) then
+                        if (log_z .EQ. 1) then
                            z = z_v(varn,1:dimz-1)
                         else
@@ -2625,8 +2808,9 @@
             end if
 
-            z=z/norm
+            z=z/norm_z
 
             res@gsnLeftString      = vNam(varn)
-            res@gsnRightString     = unit(varn)
+	    res@tiXAxisString      = "["+unit(varn)+"]"
+            res@gsnRightString     = " "
             res@trYMinF            = min_z
             res@trYMaxF            = max_z  
@@ -2646,5 +2830,6 @@
                if (u .EQ. 0) then
                   res@gsnLeftString      = "u, v and w"
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then
                      res@trXMinF = min((/miniu,miniv,miniw/))
@@ -2666,5 +2851,5 @@
                   lgMonoDashIndex          = False
                   lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = .1            
+                  lgres@lgLabelFontHeightF = font_size_legend            
                   lgres@vpWidthF           = 0.12           
                   lgres@vpHeightF          = 0.1          
@@ -2689,5 +2874,6 @@
                if (pt .EQ. 0) then
                   res@gsnLeftString      = "pt, vpt and lpt"
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then
                      res@trXMinF = min((/minipt,minivpt,minilpt/))
@@ -2710,5 +2896,5 @@
                   lgMonoDashIndex          = False
                   lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = .1            
+                  lgres@lgLabelFontHeightF = font_size_legend           
                   lgres@vpWidthF           = 0.12           
                   lgres@vpHeightF          = 0.1          
@@ -2732,5 +2918,6 @@
                if (q .EQ. 0) then
                   res@gsnLeftString      = "q, qv and ql"
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then
                      res@trXMinF = min((/miniq,miniqv,miniql/))
@@ -2753,5 +2940,5 @@
                   lgMonoDashIndex          = False
                   lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = .1            
+                  lgres@lgLabelFontHeightF = font_size_legend            
                   lgres@vpWidthF           = 0.12           
                   lgres@vpHeightF          = 0.1          
@@ -2776,5 +2963,6 @@
                if (e .EQ. 0) then
                   res@gsnLeftString      = "e and es"
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then
                      res@trXMinF = min((/minie,minies/))
@@ -2797,5 +2985,5 @@
                   lgMonoDashIndex          = False
                   lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = .1            
+                  lgres@lgLabelFontHeightF = font_size_legend           
                   lgres@vpWidthF           = 0.12           
                   lgres@vpHeightF          = 0.1          
@@ -2819,5 +3007,6 @@
                if (km .EQ. 0) then
                   res@gsnLeftString      = "km and kh"
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then
                      res@trXMinF = min((/minikm,minikh/))
@@ -2840,5 +3029,5 @@
                   lgMonoDashIndex          = False
                   lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = .1            
+                  lgres@lgLabelFontHeightF = font_size_legend           
                   lgres@vpWidthF           = 0.12           
                   lgres@vpHeightF          = 0.1          
@@ -2863,5 +3052,6 @@
                if (wpup .EQ. 0) then
                   res@gsnLeftString      = "wpup, wsus and wu"
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then
                      res@trXMinF = min((/miniwpup,miniwsus,miniwu/))
@@ -2884,5 +3074,5 @@
                   lgMonoDashIndex          = False
                   lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = .1            
+                  lgres@lgLabelFontHeightF = font_size_legend            
                   lgres@vpWidthF           = 0.12           
                   lgres@vpHeightF          = 0.1          
@@ -2906,5 +3096,6 @@
                if (wpvp .EQ. 0) then
                   res@gsnLeftString      = "wpvp, wsus and wv"
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then
                      res@trXMinF = min((/miniwpvp,miniwsvs,miniwv/))
@@ -2927,5 +3118,5 @@
                   lgMonoDashIndex          = False
                   lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = .1            
+                  lgres@lgLabelFontHeightF = font_size_legend            
                   lgres@vpWidthF           = 0.12           
                   lgres@vpHeightF          = 0.1          
@@ -2949,5 +3140,6 @@
                if (wpptp .EQ. 0) then
                   res@gsnLeftString      = "wpptp, wspts and wv"
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then
                      res@trXMinF = min((/miniwpptp,miniwspts,miniwpt/))
@@ -2970,5 +3162,5 @@
                   lgMonoDashIndex          = False
                   lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = .1            
+                  lgres@lgLabelFontHeightF = font_size_legend            
                   lgres@vpWidthF           = 0.12           
                   lgres@vpHeightF          = 0.1          
@@ -2992,5 +3184,6 @@
                if (wsptsBC .EQ. 0) then
                   res@gsnLeftString      = "wsptsBC and wptBC"
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then
                      res@trXMinF = min((/miniwsptsBC,miniwptBC/))
@@ -3013,5 +3206,5 @@
                   lgMonoDashIndex          = False
                   lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = .1            
+                  lgres@lgLabelFontHeightF = font_size_legend            
                   lgres@vpWidthF           = 0.12           
                   lgres@vpHeightF          = 0.1          
@@ -3035,5 +3228,6 @@
                if (wpvptp .EQ. 0) then
                   res@gsnLeftString      = "wpvptp, wsvpts and wv"
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then
                      res@trXMinF = min((/miniwpvptp,miniwsvpts,miniwvpt/))
@@ -3056,5 +3250,5 @@
                   lgMonoDashIndex          = False
                   lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = .1            
+                  lgres@lgLabelFontHeightF = font_size_legend            
                   lgres@vpWidthF           = 0.12           
                   lgres@vpHeightF          = 0.1          
@@ -3078,5 +3272,6 @@
                if (wpqp .EQ. 0) then 
                   res@gsnLeftString      = "wpqp, wsqs and wq"
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then
                      res@trXMinF = min((/miniwpqp,miniwsqs,miniwq/))
@@ -3099,5 +3294,5 @@
                   lgMonoDashIndex          = False
                   lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = .1            
+                  lgres@lgLabelFontHeightF = font_size_legend           
                   lgres@vpWidthF           = 0.12           
                   lgres@vpHeightF          = 0.1          
@@ -3121,5 +3316,6 @@
                if (wpqvp .EQ. 0) then
                   res@gsnLeftString      = "wpqvp, wsqvs and wqv"
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then
                      res@trXMinF = min((/miniwpqp,miniwsqvs,miniwqv/))
@@ -3142,5 +3338,5 @@
                   lgMonoDashIndex          = False
                   lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = .1            
+                  lgres@lgLabelFontHeightF = font_size_legend            
                   lgres@vpWidthF           = 0.12           
                   lgres@vpHeightF          = 0.1          
@@ -3164,5 +3360,6 @@
                if (wpsp .EQ. 0) then
                   res@gsnLeftString      = "wpsp, wsss and ws"
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then
                      res@trXMinF = min((/miniwpsp,miniwsss,miniws/))
@@ -3185,5 +3382,5 @@
                   lgMonoDashIndex          = False
                   lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = .1            
+                  lgres@lgLabelFontHeightF = font_size_legend            
                   lgres@vpWidthF           = 0.12           
                   lgres@vpHeightF          = 0.1          
@@ -3207,5 +3404,6 @@
                if (wpsap .EQ. 0) then
                   res@gsnLeftString      = "wpsap, wssas and wsa"
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then
                      res@trXMinF = min((/miniwpsap,miniwssas,miniwsa/))
@@ -3228,5 +3426,5 @@
                   lgMonoDashIndex          = False
                   lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = .1            
+                  lgres@lgLabelFontHeightF = font_size_legend            
                   lgres@vpWidthF           = 0.12           
                   lgres@vpHeightF          = 0.1          
@@ -3251,5 +3449,6 @@
                if (us2 .EQ. 0) then
                   res@gsnLeftString      = "us2, vs2 and ws2"
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then
                      res@trXMinF = min((/minius2,minivs2,miniws2/))
@@ -3272,5 +3471,5 @@
                   lgMonoDashIndex          = False
                   lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = .1            
+                  lgres@lgLabelFontHeightF = font_size_legend            
                   lgres@vpWidthF           = 0.12           
                   lgres@vpHeightF          = 0.1          
@@ -3295,5 +3494,6 @@
                if (wsususodz .EQ. 0) then 
                   res@gsnLeftString      = "wsususodz, wspsodz and ws2"
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then
                      res@trXMinF = min((/miniwsususodz,miniwspsodz,miniwpeodz/))
@@ -3316,5 +3516,5 @@
                   lgMonoDashIndex          = False
                   lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = .1            
+                  lgres@lgLabelFontHeightF = font_size_legend            
                   lgres@vpWidthF           = 0.12           
                   lgres@vpHeightF          = 0.1          
@@ -3369,5 +3569,5 @@
             
             if (prof3d .EQ. 0) then
-               if (logy .EQ. 1) then
+               if (log_z .EQ. 1) then
                   z = f->$vNam(varn+1)$(1:dimz-1) 
                else
@@ -3378,5 +3578,5 @@
                   if (isStrSubset( a(i),"zu_3d" ))then
                      z_v(varn,:) = z_u
-                     if (logy .EQ. 1) then
+                     if (log_z .EQ. 1) then
                         z = z_v(varn,1:dimz-1)
                      else
@@ -3386,5 +3586,5 @@
                      if (isStrSubset( a(i),"zw_3d" ))then
                         z_v(varn,:) = z_w
-                        if (logy .EQ. 1) then
+                        if (log_z .EQ. 1) then
                            z = z_v(varn,1:dimz-1)
                         else
@@ -3396,5 +3596,5 @@
             end if
 
-            z=z/norm
+            z=z/norm_z
 	    
 	    com_var_avail(n_o)=vNam(varn)
@@ -3412,5 +3612,6 @@
                      res@xyDashPattern  = 0
                      res@gsnLeftString  = "Combined Plot of "+c_var
-                     res@gsnRightString = unit(varn)
+		     res@tiXAxisString      = "["+unit(varn)+"]"
+                     res@gsnRightString     = " "
                      if (xs .EQ. -1) then 
                         res@trXMinF = min(mini)
@@ -3472,5 +3673,5 @@
       lgres@lgDashIndexes      = (/0,1,2/)
       lgres@lgLabelFont        = "helvetica"    
-      lgres@lgLabelFontHeightF = .1            
+      lgres@lgLabelFontHeightF = font_size_legend           
       lgres@vpWidthF           = 0.12           
       lgres@vpHeightF          = 0.1           
@@ -3498,9 +3699,9 @@
       gsn_panel(wks,plot_,(/n,1/),resP)
    else    
-      do i = 0,n-1, no_lines*no_columns
-         if( (i+no_lines*no_columns) .gt. (n-1)) then
-            gsn_panel(wks,plot_(i:n-1),(/no_lines,no_columns/),resP)
+      do i = 0,n-1, no_rows*no_columns
+         if( (i+no_rows*no_columns) .gt. (n-1)) then
+            gsn_panel(wks,plot_(i:n-1),(/no_rows,no_columns/),resP)
          else
-           gsn_panel(wks,plot_(i:i+no_lines*no_columns-1),(/no_lines,no_columns/),resP)
+           gsn_panel(wks,plot_(i:i+no_rows*no_columns-1),(/no_rows,no_columns/),resP)
          end if
       end do
